%define version 2.2.0
%define release 2mdk

Summary:	A note jotter in tree structure
Name:		gjots2
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/GNOME
URL:		http://bhepple.freeshell.org/gjots/
# http://bhepple.freeshell.org/gjots/gjots2-%{version}.tgz
Source:		%{name}-%{version}.tar.bz2
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	gnome-python
Requires:	gnome-python-gconf
Requires:	pygtk2.0-libglade >= 2.2.0
Requires:	openssl
Requires:	gnupg
Requires:	m4
BuildRequires:	ImageMagick

%description
%{name} can be used to organize one's jottings into a tree structure,
adding thoughts and miscellaneous things. Afterwards the notes can be
exported into various formats such as HTML, XML, Postscript, PDF, man etc.
It can also make use of OpenSSL, GPG or ccrypt(1) for encrypting PINs
and passwords.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}

install -d -m 755  \
		%{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/pixmaps \
		%{buildroot}%{_datadir}/%{name} \
		%{buildroot}%{_libdir}/%{name} \
		%{buildroot}%{_bindir} \
		%{buildroot}%{_mandir}/man1
install -m 755 bin/gjots2 bin/gjots2docbook bin/gjots2html bin/docbook2gjots %{buildroot}%{_bindir}/
install -m 755 lib/*.py %{buildroot}%{_libdir}/%{name}/
install -m 644 share/man/man1/* %{buildroot}%{_mandir}/man1/
bzip2 %{buildroot}%{_mandir}/man1/*
install -m 644 gjots.glade2 %{buildroot}%{_datadir}/%{name}
install -m 644 *.png %{buildroot}%{_datadir}/%{name}/
install -m 644 gjots.png %{buildroot}%{_datadir}/pixmaps/
install -m 644 gjots2.desktop %{buildroot}%{_datadir}/applications/

# menu entry
mkdir -p %{buildroot}%{_menudir}
cat << _EOF_ > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 icon="%{name}.png" \
 title="Gjots" \
 needs="x11" \
 section="Office/Accessories" \
 longtitle="A simple note jotting utility" \
 startup_notify="yes"
_EOF_

# icons
install -d -m 755 %{buildroot}%{_liconsdir} %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
convert -geometry 48x48 gjots.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 gjots.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 gjots.png %{buildroot}%{_miconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README COPYING gjots2.gjots
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_libdir}/%{name}
%{_mandir}/man1/*

%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Sat Sep 10 2005 Austin Acton <austin@mandriva.org> 2.2.0-2mdk
- more missing files

* Mon Jun 27 2005 Austin Acton <austin@mandriva.org> 2.2.0-1mdk
- New release 2.2.0

* Sat Mar 19 2005 Austin Acton <austin@mandrake.org> 2.1.1-1mdk
- 2.1.1
- add missing files

* Thu Nov 11 2004 Austin Acton <austin@mandrake.org> 2.0.1-1mdk
- 2.0.1
- pretty transparent icon

* Thu May 27 2004 Abel Cheung <deaddog@deaddog.org> 2.0.0-1mdk
- First Mandrake package
